path: /build/build/nvidia-555-kernel-modules-kernel-5.10-555.58.02+2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-555/nvidia-drivers
    && anise cleanup && emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
    -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-555.58.02
  - |
    eval 'rm -rf /nvidia-555-kernel-modules || true' && mkdir /nvidia-555-kernel-modules && \
    luet-portage --dir /nvidia-555-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-555-kernel-modules/lib/modules/nvidia/555.58.02/5.10.242-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:7a8e19fc54cfcaf730ad8fcd917257ce28886d2946ad9e52088596983198e8ae
  package:
    name: nvidia-555-kernel-modules
    version: 555.58.02+2
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-12 16:09:01.821688658 +0000 UTC m=+669.286709858
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.242
      original.package.slot: "555"
      original.package.version: 555.58.02
    treedir: /build/packages
  package_dir: /nvidia-555-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 866862630f8a291720f931f79fb6930a574964796c6081bacd15ec8c1c43e301
compressiontype: zstd
files:
- lib/modules/nvidia/555.58.02/5.10.242-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia/555.58.02/5.10.242-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia/555.58.02/5.10.242-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia/555.58.02/5.10.242-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-555-kernel-modules
  version: 555.58.02+2
  category: kernel-5.10
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.242
    original.package.slot: "555"
    original.package.version: 555.58.02
